Page MenuHomePhabricator

A14. Run maintenance/FlowUpdateWorkflowPageId.php in production
Closed, ResolvedPublic0 Story Points

Related Objects

StatusAssignedTask
DeclinedNone
InvalidCapt_Swing
ResolvedDannyH
Resolvedmatthiasmullie
ResolvedCapt_Swing
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolvedmatthiasmullie
ResolvedLegoktm
ResolvedDannyH
ResolvedLegoktm
ResolvedLegoktm
DuplicateNone
DuplicateNone
ResolvedSeb35
Resolvedmatthiasmullie
Resolvedmatthiasmullie
Resolved Mattflaschen-WMF

Event Timeline

matthiasmullie raised the priority of this task from to Needs Triage.
matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: matthiasmullie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 6:14 PM
DannyH triaged this task as Normal priority.Apr 22 2015, 6:58 PM
DannyH moved this task from Untriaged to Ready for next sprint on the Collaboration-Team-Triage board.
DannyH set Security to None.
DannyH edited a custom field.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:08 PM
DannyH renamed this task from Run maintenance/FlowUpdateWorkflowPageId.php to A14. Run maintenance/FlowUpdateWorkflowPageId.php.Apr 22 2015, 8:05 PM
DannyH moved this task from Current workboard to Untriaged on the Collaboration-Team-Triage board.
Mattflaschen-WMF renamed this task from A14. Run maintenance/FlowUpdateWorkflowPageId.php to A14. Run maintenance/FlowUpdateWorkflowPageId.php in production.Apr 27 2015, 8:13 AM

The script now covers both (potential) issues, so I merged T95595: A10. Run page creation script (for missing page and revision entries) in production in.

Ran it in Beta Cluster:

1mattflaschen@deployment-bastion:/srv/mediawiki$ foreachwikiindblist flow.dblist extensions/Flow/maintenance/FlowUpdateWorkflowPageId.php
2-----------------------------------------------------------------
3testwiki
4-----------------------------------------------------------------
5testwiki: Updated 0 workflows
6testwiki: Failed: 0
7testwiki:
8testwiki: Array
9testwiki: (
10testwiki: )
11-----------------------------------------------------------------
12test2wiki
13-----------------------------------------------------------------
14test2wiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `test2wiki`.
15test2wiki:
16test2wiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `test2wiki`.
17test2wiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
18-----------------------------------------------------------------
19mediawikiwiki
20-----------------------------------------------------------------
21mediawikiwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `mediawikiwiki`.
22mediawikiwiki:
23mediawikiwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `mediawikiwiki`.
24mediawikiwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
25-----------------------------------------------------------------
26metawiki
27-----------------------------------------------------------------
28metawiki: Updated 0 workflows
29metawiki: Failed: 0
30metawiki:
31metawiki: Array
32metawiki: (
33metawiki: )
34-----------------------------------------------------------------
35enwiki
36-----------------------------------------------------------------
37enwiki: Updated 210 workflows
38enwiki: Failed: 0
39enwiki:
40enwiki: Array
41enwiki: (
42enwiki: )
43-----------------------------------------------------------------
44frwiki
45-----------------------------------------------------------------
46frwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `frwiki`.
47frwiki:
48frwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `frwiki`.
49frwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
50-----------------------------------------------------------------
51hewiki
52-----------------------------------------------------------------
53hewiki: Updated 0 workflows
54hewiki: Failed: 0
55hewiki:
56hewiki: Array
57hewiki: (
58hewiki: )
59-----------------------------------------------------------------
60officewiki
61-----------------------------------------------------------------
62officewiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `officewiki`.
63officewiki:
64officewiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `officewiki`.
65officewiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
66-----------------------------------------------------------------
67ptwiki
68-----------------------------------------------------------------
69ptwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `ptwiki`.
70ptwiki:
71ptwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `ptwiki`.
72ptwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
73-----------------------------------------------------------------
74cawiki
75-----------------------------------------------------------------
76cawiki: Updated 0 workflows
77cawiki: Failed: 0
78cawiki:
79cawiki: Array
80cawiki: (
81cawiki: )
82-----------------------------------------------------------------
83tewiki
84-----------------------------------------------------------------
85tewiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `tewiki`.
86tewiki:
87tewiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `tewiki`.
88tewiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
89-----------------------------------------------------------------
90ruwiki
91-----------------------------------------------------------------
92ruwiki: Updated 2 workflows
93ruwiki: Failed: 0
94ruwiki:
95ruwiki: Array
96ruwiki: (
97ruwiki: )
98-----------------------------------------------------------------
99pawiki
100-----------------------------------------------------------------
101pawiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `pawiki`.
102pawiki:
103pawiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `pawiki`.
104pawiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
105-----------------------------------------------------------------
106zhwiki
107-----------------------------------------------------------------
108zhwiki: Updated 0 workflows
109zhwiki: Failed: 0
110zhwiki:
111zhwiki: Array
112zhwiki: (
113zhwiki: )
114-----------------------------------------------------------------
115wikidatawiki
116-----------------------------------------------------------------
117wikidatawiki: Updated 0 workflows
118wikidatawiki: Failed: 0
119wikidatawiki:
120wikidatawiki: Array
121wikidatawiki: (
122wikidatawiki: )
123mattflaschen@deployment-bastion:/srv/mediawiki$

Failures are expected (wikis that do not exist on Beta Cluster).

I ran some quick tests on the Beta Cluster (including purges, a new topic, and a reply), and don't see any problems

@matthiasmullie, I replied to an email regarding this. But to keep things in Phabricator as well, are there still patches that block running the script in production (tonight the second version of FlowUpdateWorkflowPageId will get SWAT-ed out, but I'm not going to run it yet)?

@Mattflaschen: all patches blocking this script have already been merged since a week. (https://gerrit.wikimedia.org/r/#/c/204735 & a couple of others)
Those will roll out to last wikis tomorrow, so we can then run the script.

After the script has run, we still have these unreviewed related patches left:

Should go out soon:
Really small fixes (that could cause corrupt data) now that we have good data in place, + the patch to display the delete menu:
https://gerrit.wikimedia.org/r/#/c/205247/
https://gerrit.wikimedia.org/r/#/c/205613/
https://gerrit.wikimedia.org/r/#/c/198230/
^^ we can probably cherry-pick these this week.

Additional but not urgent cleanups:
Some more small fixes, removing old workarounds:
https://gerrit.wikimedia.org/r/#/c/205614/
https://gerrit.wikimedia.org/r/#/c/205612/
https://gerrit.wikimedia.org/r/#/c/205579/
^^ These can go out whenever.

Mattflaschen-WMF closed this task as Resolved.May 1 2015, 9:17 PM
Mattflaschen-WMF claimed this task.

Run in production:

1mattflaschen@terbium:/srv/mediawiki$ foreachwikiindblist flow.dblist extensions/Flow/maintenance/FlowUpdateWorkflowPageId.php
2-----------------------------------------------------------------
3testwiki
4-----------------------------------------------------------------
5testwiki: Updated 113 workflows
6testwiki: Failed: 0
7testwiki:
8testwiki: Array
9testwiki: (
10testwiki: )
11-----------------------------------------------------------------
12test2wiki
13-----------------------------------------------------------------
14test2wiki: Updated 4 workflows
15test2wiki: Failed: 0
16test2wiki:
17test2wiki: Array
18test2wiki: (
19test2wiki: )
20-----------------------------------------------------------------
21mediawikiwiki
22-----------------------------------------------------------------
23mediawikiwiki: Updated 14 workflows
24mediawikiwiki: Failed: 0
25mediawikiwiki:
26mediawikiwiki: Array
27mediawikiwiki: (
28mediawikiwiki: )
29-----------------------------------------------------------------
30metawiki
31-----------------------------------------------------------------
32metawiki: Updated 2 workflows
33metawiki: Failed: 0
34metawiki:
35metawiki: Array
36metawiki: (
37metawiki: )
38-----------------------------------------------------------------
39enwiki
40-----------------------------------------------------------------
41enwiki: Updated 5 workflows
42enwiki: Failed: 0
43enwiki:
44enwiki: Array
45enwiki: (
46enwiki: )
47-----------------------------------------------------------------
48frwiki
49-----------------------------------------------------------------
50frwiki: Updated 2 workflows
51frwiki: Failed: 0
52frwiki:
53frwiki: Array
54frwiki: (
55frwiki: )
56-----------------------------------------------------------------
57hewiki
58-----------------------------------------------------------------
59hewiki: Updated 3 workflows
60hewiki: Failed: 0
61hewiki:
62hewiki: Array
63hewiki: (
64hewiki: )
65-----------------------------------------------------------------
66officewiki
67-----------------------------------------------------------------
68officewiki: Updated 460 workflows
69officewiki: Failed: 0
70officewiki:
71officewiki: Array
72officewiki: (
73officewiki: )
74-----------------------------------------------------------------
75ptwiki
76-----------------------------------------------------------------
77ptwiki: Updated 5 workflows
78ptwiki: Failed: 0
79ptwiki:
80ptwiki: Array
81ptwiki: (
82ptwiki: )
83-----------------------------------------------------------------
84cawiki
85-----------------------------------------------------------------
86cawiki: Updated 5 workflows
87cawiki: Failed: 0
88cawiki:
89cawiki: Array
90cawiki: (
91cawiki: )
92-----------------------------------------------------------------
93tewiki
94-----------------------------------------------------------------
95tewiki: Updated 2 workflows
96tewiki: Failed: 0
97tewiki:
98tewiki: Array
99tewiki: (
100tewiki: )
101-----------------------------------------------------------------
102ruwiki
103-----------------------------------------------------------------
104ruwiki: Updated 4 workflows
105ruwiki: Failed: 0
106ruwiki:
107ruwiki: Array
108ruwiki: (
109ruwiki: )
110-----------------------------------------------------------------
111pawiki
112-----------------------------------------------------------------
113pawiki: Updated 2 workflows
114pawiki: Failed: 0
115pawiki:
116pawiki: Array
117pawiki: (
118pawiki: )
119-----------------------------------------------------------------
120zhwiki
121-----------------------------------------------------------------
122zhwiki: Updated 3 workflows
123zhwiki: Failed: 0
124zhwiki:
125zhwiki: Array
126zhwiki: (
127zhwiki: )
128-----------------------------------------------------------------
129wikidatawiki
130-----------------------------------------------------------------
131wikidatawiki: Updated 0 workflows
132wikidatawiki: Failed: 0
133wikidatawiki:
134wikidatawiki: Array
135wikidatawiki: (
136wikidatawiki: )
137mattflaschen@terbium:/srv/mediawiki$

I've merged https://gerrit.wikimedia.org/r/#/c/205247/ and https://gerrit.wikimedia.org/r/#/c/205612/1 .

For https://gerrit.wikimedia.org/r/#/c/205613/ , we need to first decide a spec issue at https://phabricator.wikimedia.org/T90974#1254005 . We get the first three into wmf/1.26wmf5 (and any branch any of them are cherry-picked to), to avoid further inconsistencies.

This means before Wed. branch cut, preferably by Tuesday.

matthiasmullie reopened this task as Open.May 4 2015, 1:51 PM

Reopening: we'll want to run this script again for T97664: A18. Moving Talk:Search to Talk:Search/Old gives a fatal exception (after merging the change)

@Mattflaschen: all patches blocking this script have already been merged since a week. (https://gerrit.wikimedia.org/r/#/c/204735 & a couple of others)
Those will roll out to last wikis tomorrow, so we can then run the script.
After the script has run, we still have these unreviewed related patches left:
Should go out soon:
Really small fixes (that could cause corrupt data) now that we have good data in place, + the patch to display the delete menu:
https://gerrit.wikimedia.org/r/#/c/205247/
https://gerrit.wikimedia.org/r/#/c/205613/
https://gerrit.wikimedia.org/r/#/c/198230/
^^ we can probably cherry-pick these this week.
Additional but not urgent cleanups:
Some more small fixes, removing old workarounds:
https://gerrit.wikimedia.org/r/#/c/205614/
https://gerrit.wikimedia.org/r/#/c/205612/
https://gerrit.wikimedia.org/r/#/c/205579/
^^ These can go out whenever.

All of these are merged now except the test-only change.

Re-run on Beta:

1mattflaschen@deployment-bastion:/srv/mediawiki$ foreachwikiindblist flow.dblist extensions/Flow/maintenance/FlowUpdateWorkflowPageId.php -----------------------------------------------------------------
2testwiki
3-----------------------------------------------------------------
4testwiki: Updated 0 workflows
5testwiki: Failed: 0
6testwiki:
7testwiki: Array
8testwiki: (
9testwiki: )
10-----------------------------------------------------------------
11test2wiki
12-----------------------------------------------------------------
13test2wiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `test2wiki`.
14test2wiki:
15test2wiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `test2wiki`.
16test2wiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
17-----------------------------------------------------------------
18mediawikiwiki
19-----------------------------------------------------------------
20mediawikiwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `mediawikiwiki`.
21mediawikiwiki:
22mediawikiwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `mediawikiwiki`.
23mediawikiwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
24-----------------------------------------------------------------
25metawiki
26-----------------------------------------------------------------
27metawiki: Updated 0 workflows
28metawiki: Failed: 0
29metawiki:
30metawiki: Array
31metawiki: (
32metawiki: )
33-----------------------------------------------------------------
34enwiki
35-----------------------------------------------------------------
36enwiki: Updated 2 workflows
37enwiki: Failed: 0
38enwiki:
39enwiki: Array
40enwiki: (
41enwiki: )
42-----------------------------------------------------------------
43frwiki
44-----------------------------------------------------------------
45frwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `frwiki`.
46frwiki:
47frwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `frwiki`.
48frwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
49-----------------------------------------------------------------
50hewiki
51-----------------------------------------------------------------
52hewiki: Updated 0 workflows
53hewiki: Failed: 0
54hewiki:
55hewiki: Array
56hewiki: (
57hewiki: )
58-----------------------------------------------------------------
59officewiki
60-----------------------------------------------------------------
61officewiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `officewiki`.
62officewiki:
63officewiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `officewiki`.
64officewiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
65-----------------------------------------------------------------
66ptwiki
67-----------------------------------------------------------------
68ptwiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `ptwiki`.
69ptwiki:
70ptwiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `ptwiki`.
71ptwiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
72-----------------------------------------------------------------
73cawiki
74-----------------------------------------------------------------
75cawiki: Updated 0 workflows
76cawiki: Failed: 0
77cawiki:
78cawiki: Array
79cawiki: (
80cawiki: )
81-----------------------------------------------------------------
82tewiki
83-----------------------------------------------------------------
84tewiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `tewiki`.
85tewiki:
86tewiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `tewiki`.
87tewiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
88-----------------------------------------------------------------
89ruwiki
90-----------------------------------------------------------------
91ruwiki: Updated 0 workflows
92ruwiki: Failed: 0
93ruwiki:
94ruwiki: Array
95ruwiki: (
96ruwiki: )
97-----------------------------------------------------------------
98pawiki
99-----------------------------------------------------------------
100pawiki: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `pawiki`.
101pawiki:
102pawiki: Fatal error: /srv/mediawiki/wikiversions-labs.cdb has no version entry for `pawiki`.
103pawiki: in /mnt/srv/mediawiki/multiversion/MWMultiVersion.php on line 369
104-----------------------------------------------------------------
105zhwiki
106-----------------------------------------------------------------
107zhwiki: Updated 0 workflows
108zhwiki: Failed: 0
109zhwiki:
110zhwiki: Array
111zhwiki: (
112zhwiki: )
113-----------------------------------------------------------------
114wikidatawiki
115-----------------------------------------------------------------
116wikidatawiki: Updated 0 workflows
117wikidatawiki: Failed: 0
118wikidatawiki:
119wikidatawiki: Array
120wikidatawiki: (
121wikidatawiki: )
122mattflaschen@deployment-bastion:/srv/mediawiki$

No updates this time (probably indicating we had no deletions/recreations or deletions/undeletions here).

Re-run in production, which did have updates as expected:

1mattflaschen@terbium:/srv/mediawiki$ foreachwikiindblist flow.dblist extensions/Flow/maintenance/FlowUpdateWorkflowPageId.php
2-----------------------------------------------------------------
3testwiki
4-----------------------------------------------------------------
5testwiki: Updated 39 workflows
6testwiki: Failed: 0
7testwiki:
8testwiki: Array
9testwiki: (
10testwiki: )
11-----------------------------------------------------------------
12test2wiki
13-----------------------------------------------------------------
14test2wiki: Updated 0 workflows
15test2wiki: Failed: 0
16test2wiki:
17test2wiki: Array
18test2wiki: (
19test2wiki: )
20-----------------------------------------------------------------
21mediawikiwiki
22-----------------------------------------------------------------
23mediawikiwiki: Updated 919 workflows
24mediawikiwiki: Failed: 0
25mediawikiwiki:
26mediawikiwiki: Array
27mediawikiwiki: (
28mediawikiwiki: )
29-----------------------------------------------------------------
30metawiki
31-----------------------------------------------------------------
32metawiki: Updated 4 workflows
33metawiki: Failed: 0
34metawiki:
35metawiki: Array
36metawiki: (
37metawiki: )
38-----------------------------------------------------------------
39enwiki
40-----------------------------------------------------------------
41enwiki: Updated 115 workflows
42enwiki: Failed: 0
43enwiki:
44enwiki: Array
45enwiki: (
46enwiki: )
47-----------------------------------------------------------------
48frwiki
49-----------------------------------------------------------------
50frwiki: Updated 0 workflows
51frwiki: Failed: 0
52frwiki:
53frwiki: Array
54frwiki: (
55frwiki: )
56-----------------------------------------------------------------
57hewiki
58-----------------------------------------------------------------
59hewiki: Updated 0 workflows
60hewiki: Failed: 0
61hewiki:
62hewiki: Array
63hewiki: (
64hewiki: )
65-----------------------------------------------------------------
66officewiki
67-----------------------------------------------------------------
68officewiki: Updated 27 workflows
69officewiki: Failed: 0
70officewiki:
71officewiki: Array
72officewiki: (
73officewiki: )
74-----------------------------------------------------------------
75ptwiki
76-----------------------------------------------------------------
77ptwiki: Updated 0 workflows
78ptwiki: Failed: 0
79ptwiki:
80ptwiki: Array
81ptwiki: (
82ptwiki: )
83-----------------------------------------------------------------
84cawiki
85-----------------------------------------------------------------
86cawiki: Updated 0 workflows
87cawiki: Failed: 0
88cawiki:
89cawiki: Array
90cawiki: (
91cawiki: )
92-----------------------------------------------------------------
93tewiki
94-----------------------------------------------------------------
95tewiki: Updated 0 workflows
96tewiki: Failed: 0
97tewiki:
98tewiki: Array
99tewiki: (
100tewiki: )
101-----------------------------------------------------------------
102ruwiki
103-----------------------------------------------------------------
104ruwiki: Updated 0 workflows
105ruwiki: Failed: 0
106ruwiki:
107ruwiki: Array
108ruwiki: (
109ruwiki: )
110-----------------------------------------------------------------
111pawiki
112-----------------------------------------------------------------
113pawiki: Updated 0 workflows
114pawiki: Failed: 0
115pawiki:
116pawiki: Array
117pawiki: (
118pawiki: )
119-----------------------------------------------------------------
120zhwiki
121-----------------------------------------------------------------
122zhwiki: Updated 21 workflows
123zhwiki: Failed: 0
124zhwiki:
125zhwiki: Array
126zhwiki: (
127zhwiki: )
128-----------------------------------------------------------------
129wikidatawiki
130-----------------------------------------------------------------
131wikidatawiki: Updated 0 workflows
132wikidatawiki: Failed: 0
133wikidatawiki:
134wikidatawiki: Array
135wikidatawiki: (
136wikidatawiki: )
137mattflaschen@terbium:/srv/mediawiki$

Mattflaschen-WMF closed this task as Resolved.May 8 2015, 3:00 AM